%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libcap-ng
#Epoch:		0
Version:	0.6.4
Release:	1
License:	GNU/GPL
URL:		http://people.redhat.com/sgrubb/libcap-ng/
Group:		System/Libraries
Summary:	posix capabilities library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: python26-devel
BuildRequires: swig
BuildRequires: libattr-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The libcap-ng library is intended to make programming with POSIX capabilities much easier than the traditional libcap library. It includes utilities that can analyze all currently running applications to locate applications that may have too many privileges.

%package devel
Summary:        libcap development headers.
Group:          System/Libraries
Requires:       %{name} = %{version}

%description devel
Header and include files for developing applications with %{name}.

%package python
Summary:        python bindings for libcap
Group:          System/Libraries
Requires:       %{name} = %{version}

%description python
python bindings for %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/captest
%{_bindir}/filecap
%{_bindir}/netcap
%{_bindir}/pscap
%{_libdir}/libcap-ng.so.*
%{_mandir}/man3/capng_*.3.gz
%{_mandir}/man8/captest.8.gz
%{_mandir}/man8/filecap.8.gz
%{_mandir}/man8/netcap.8.gz
%{_mandir}/man8/pscap.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%{_libdir}/libcap-ng.a
%{_libdir}/libcap-ng.la
%{_datadir}/aclocal/cap-ng.m4
%{_pkgconfig}/libcap-ng.pc

%files python
%defattr(-,root,root)
%{python_sitearch}/_capng.a
%{python_sitearch}/_capng.la
%{python_sitearch}/_capng.so
%{python_sitearch}/capng.py
%{python_sitearch}/capng.pyc
%{python_sitearch}/capng.pyo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.4-1
- Version update
* Thu Jul 30 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- initial CCux package release
